FIStaxInInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class FIStaxInInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.FIStaxInInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class FIStaxInInterceptor
      extends AbstractPhaseInterceptor<Message>

  Creates an XMLStreamReader from the InputStream on the Message.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FI_GET_SUPPORTED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FIStaxInInterceptor()` |
    `FIStaxInInterceptor​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleMessage​(Message message)` | Intercepts a message.
    `protected boolean` | `isHttpVerbSupported​(Message message)` |
    `protected boolean` | `isRequestor​(Message message)` | Determine if current messaging role is that of requestor.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FI_GET_SUPPORTED

          public static final String FI_GET_SUPPORTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FIStaxInInterceptor

          public FIStaxInInterceptor()

    - #### FIStaxInInterceptor

          public FIStaxInInterceptor​(String phase)

  - ### Method Detail

    - #### isRequestor

          protected boolean isRequestor​(Message message)

      Description copied from class: `AbstractPhaseInterceptor`
      Determine if current messaging role is that of requestor.
      Overrides:
        `isRequestor` in class `AbstractPhaseInterceptor<Message>`
      Parameters:
        `message` - the current Message
      Returns:
        true if the current messaging role is that of requestor

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### isHttpVerbSupported

          protected boolean isHttpVerbSupported​(Message message)